## git-annex-el 1.1

=== Makefile ===
elsrc=git-annex.el

all: $(elsrc:.el=.elc)

%.elc: %.el
	emacs -batch -q -no-site-file -eval '(byte-compile-file "$<")'

clean:
	-rm -f --verbose $(elsrc:.el=.elc)

.PHONY: all clean

## git-annex-el 1.0+git20160215.e61ef24

=== debian/changelog ===
git-annex-el (1.0+git20160215.e61ef24-1) unstable; urgency=medium

  * Initial release (Closes: #851333).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 Jan 2017 21:49:53 -0700

=== debian/control ===
Source: git-annex-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 10),
 dh-elpa
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/git-annex-el.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/git-annex-el.git
Homepage: https://github.com/jwiegley/git-annex-el

Package: elpa-git-annex
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends},
 emacs
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs24,
 emacs25,
 git-annex,
Built-Using: ${misc:Built-Using}
Description: Emacs integration for git-annex
 This Emacs addon enhances dired and read-only-mode to be more useful
 in git-annex repositories.
 .
 In dired, long annex symlinks are replaced by the name of the file,
 coloured green.  There are also keybindings to execute the `add` and
 `edit` git-annex subcommands.
 .
 In read-only-mode, C-x C-q will execute `git annex edit`, and killing
 the buffer will call `git annex add && git commit -m Updated`.

## git-annex-el 1.1

=== debian/changelog ===
git-annex-el (1.1-4) unstable; urgency=medium

  * Team upload

  [ David Krauser ]
  * Update maintainer email address

  [ Nicholas D Steeves ]
  * Update Vcs links from alioth to salsa.

  [ David Bremner ]
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Mon, 25 Jan 2021 19:37:59 -0400

git-annex-el (1.1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 10:06:29 -0300

git-annex-el (1.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 20:51:22 -0300

git-annex-el (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Add dependency on git-annex.
  * Change dependency 'emacs' -> 'emacsen-common'
    See Debian Emacs Policy item C.
  * wrap-and-sort -abst

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 23 Jan 2017 15:00:28 -0700

=== debian/control ===
Source: git-annex-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders:
 Sean Whitton <spwhitton@spwhitton.name>,
Build-Depends:
 debhelper (>= 10),
 dh-elpa,
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/emacsen-team/git-annex-el
Vcs-Git: https://salsa.debian.org/emacsen-team/git-annex-el.git
Homepage: https://github.com/jwiegley/git-annex-el

Package: elpa-git-annex
Architecture: all
Depends:
 emacsen-common (>= 2.0.8),
 git-annex,
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs (>= 46.0),
Enhances:
 emacs,
 emacs24,
 emacs25,
 git-annex,
Built-Using: ${misc:Built-Using}
Description: Emacs integration for git-annex
 This Emacs addon enhances dired and read-only-mode to be more useful
 in git-annex repositories.
 .
 In dired, long annex symlinks are replaced by the name of the file,
 coloured green.  There are also keybindings to execute the `add` and
 `edit` git-annex subcommands.
 .
 In read-only-mode, C-x C-q will execute `git annex edit`, and killing
 the buffer will call `git annex add && git commit -m Updated`.
